package com.pdaaphm.system.service;

import java.util.List;
import com.pdaaphm.system.domain.AlgConfig;

/**
 * 算法配置Service接口
 * 
 * @author Allen
 * @date 2024-08-19
 */
public interface IAlgConfigService 
{
    /**
     * 查询算法配置
     * 
     * @param id 算法配置主键
     * @return 算法配置
     */
    public AlgConfig selectAlgConfigById(Long id);

    /**
     * 查询算法配置列表
     * 
     * @param algConfig 算法配置
     * @return 算法配置集合
     */
    public List<AlgConfig> selectAlgConfigList(AlgConfig algConfig);

    /**
     * 新增算法配置
     * 
     * @param algConfig 算法配置
     * @return 结果
     */
    public int insertAlgConfig(AlgConfig algConfig);

    /**
     * 修改算法配置
     * 
     * @param algConfig 算法配置
     * @return 结果
     */
    public int updateAlgConfig(AlgConfig algConfig);

    /**
     * 批量删除算法配置
     * 
     * @param ids 需要删除的算法配置主键集合
     * @return 结果
     */
    public int deleteAlgConfigByIds(Long[] ids);

    /**
     * 删除算法配置信息
     * 
     * @param id 算法配置主键
     * @return 结果
     */
    public int deleteAlgConfigById(Long id);

    List<AlgConfig> getAlgConfigByType(String type);
}
